%{?nodejs_find_provides_and_requires}
%global enable_tests 1
Name:		nodejs-are-we-there-yet
Version:	1.0.5
Release:	1
Summary:	Keep track of the overall completion of many disparate processes
License:	ISC
URL:		https://github.com/iarna/are-we-there-yet.git
Source0:	https://github.com/iarna/are-we-there-yet/archive/v%{version}.tar.gz
BuildArch:	noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       	nodejs-packaging 	npm(delegates) 	npm(readable-stream)
%if 0%{?enable_tests}
BuildRequires:       	npm(tap)
%endif
%description
Keep track of the overall completion of many disparate processes

%prep
%autosetup -n are-we-there-yet-%{version}
%nodejs_fixdep delegates '>=0.1.0'

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/are-we-there-yet
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/are-we-there-yet
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/tap test/*.js
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/are-we-there-yet

%changelog
* Thu Aug 20 2020 huanghaitao <huanghaitao8@huawei.com> - 1.0.5-1
- package init
